package io.renren.modules.app.service;

import com.baomidou.mybatisplus.service.IService;
import com.github.pagehelper.PageInfo;
import io.renren.modules.app.entity.DyxxEntity;
import io.renren.modules.app.entity.XlkEntity;
import io.renren.modules.app.entity.ZhxxEntity;

import java.util.List;
import java.util.Map;

/**
 * 单元信息表
 *
 * @author ly
 * @email 1271428398@qq.com
 * @date 2019-03-26 09:49:15
 */
public interface DyxxService extends IService<DyxxEntity> {

    /**
     * 分页模糊查询
     * @param pageNum
     * @param pageSize
     * @param dyxxEntity
     * @return
     */
    PageInfo<DyxxEntity> queryByPage(Integer pageNum, Integer pageSize, DyxxEntity dyxxEntity);


    /**
    * 单个或批量删除
    * @param ids
    */
    void deleteBatch(String[] ids);
    
    //小区下拉框数据展现
    List<XlkEntity> selectxlk(String id);
    
    //多级联动下拉框查询
    List<XlkEntity> selectDjld(Map<String,String> map);
    
    String queryfwdybm();



    //查询栋号编码
    List<DyxxEntity> selectDybmList( List<String> dhbmList);
}

